;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux lsdb package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The lsdb package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:

(if (not (file-exists-p "/usr/share/emacs/site-lisp/lsdb"))
    (message "Package lsdb removed but not purged.  Skipping setup.")
  (debian-pkg-add-load-path-item
   (concat "/usr/share/" (symbol-name debian-emacs-flavor)
	   "/site-lisp/lsdb"))

  ;; for t-gnus
  (autoload 'lsdb-gnus-insinuate "lsdb")
  (autoload 'lsdb-gnus-insinuate-message "lsdb")
  (add-hook 'gnus-startup-hook 'lsdb-gnus-insinuate)
  (add-hook 'message-setup-hook
	    (lambda ()
	      (define-key message-mode-map "\M-\t" 'lsdb-complete-name)))
  (add-hook 'gnus-summary-mode-hook
	    (lambda ()
	      (define-key gnus-summary-mode-map ":" 'lsdb-toggle-buffer)))

  ;; for wl
  (autoload 'lsdb-wl-insinuate "lsdb")
  (add-hook 'wl-init-hook 'lsdb-wl-insinuate)
  (add-hook 'wl-draft-mode-hook
	    (lambda ()
	      (define-key wl-draft-mode-map "\M-\t" 'lsdb-complete-name)))
  (add-hook 'wl-summary-mode-hook
	    (lambda ()
	      (define-key wl-summary-mode-map ":" 'lsdb-toggle-buffer)))

  ;; for mew
  (autoload 'lsdb-mew-insinuate "lsdb")
  (add-hook 'mew-init-hook 'lsdb-mew-insinuate)
  (add-hook 'mew-draft-mode-hook
	    (lambda ()
	      (define-key mew-draft-header-map "\M-I" 'lsdb-complete-name)))
  (add-hook 'mew-summary-mode-hook
	    (lambda ()
	      (define-key mew-summary-mode-map "l" 'lsdb-toggle-buffer))))
